rel-op.cpp File Reference
`#include "test/set.hh"`

Go to the source code of this file.

## Classes

class | Test::Set::RelOp::Rel
| Test for ternary relation constraint More...
class | Test::Set::RelOp::Create
| Help class to create and register tests. More...
class | Test::Set::RelOp::RelN
| Test for n-ary partition constraint More...
class | Test::Set::RelOp::CreateN
| Help class to create and register tests. More...
class | Test::Set::RelOp::RelIntN
| Test for n-ary partition constraint More...
class | Test::Set::RelOp::CreateIntN
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Set
| Testing finite sets.
namespace | Test::Set::RelOp
| Tests for relation/operation constraints

## Variables

Create | Test::Set::RelOp::c
CreateN | Test::Set::RelOp::cn
CreateIntN | Test::Set::RelOp::intcn